Google Web Toolkit (Beta)
Search this site:

# Interface SourcesPopupEvents

public interface SourcesPopupEvents
// Implemented by `PopupPanel`
A widget that implements this interface sources the events defined by the PopupListener interface.

## Methods

addPopupListener(PopupListener) | Adds a listener interface to receive popup events.
removePopupListener(PopupListener) | Removes a previously added popup listener.

## Method Detail

### addPopupListener

public void addPopupListener(PopupListener listener)
Adds a listener interface to receive popup events.

#### Parameters

listener
  the listener interface to add.

### removePopupListener

public void removePopupListener(PopupListener listener)
Removes a previously added popup listener.

#### Parameters

listener
  the listener interface to remove.